import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AssociateTeamMemberInput } from "../types/AssociateTeamMemberInput";
import { AssociateTeamMemberOutput } from "../types/AssociateTeamMemberOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/AssociateTeamMemberInput";
export * from "../types/AssociateTeamMemberOutput";
export * from "../types/AssociateTeamMemberExceptionsUnion";
export declare class AssociateTeamMemberCommand implements __aws_sdk_types.Command<InputTypesUnion, AssociateTeamMemberInput, OutputTypesUnion, AssociateTeamMemberOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: AssociateTeamMemberInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AssociateTeamMemberInput, AssociateTeamMemberOutput, Blob>;
    constructor(input: AssociateTeamMemberInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<AssociateTeamMemberInput, AssociateTeamMemberOutput>;
}
