import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateUserProfileInput } from "../types/CreateUserProfileInput";
import { CreateUserProfileOutput } from "../types/CreateUserProfileOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/CreateUserProfileInput";
export * from "../types/CreateUserProfileOutput";
export * from "../types/CreateUserProfileExceptionsUnion";
export declare class CreateUserProfileCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateUserProfileInput, OutputTypesUnion, CreateUserProfileOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: CreateUserProfileInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateUserProfileInput, CreateUserProfileOutput, Blob>;
    constructor(input: CreateUserProfileInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<CreateUserProfileInput, CreateUserProfileOutput>;
}
