import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateUserProfileInput } from "../types/UpdateUserProfileInput";
import { UpdateUserProfileOutput } from "../types/UpdateUserProfileOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/UpdateUserProfileInput";
export * from "../types/UpdateUserProfileOutput";
export * from "../types/UpdateUserProfileExceptionsUnion";
export declare class UpdateUserProfileCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateUserProfileInput, OutputTypesUnion, UpdateUserProfileOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: UpdateUserProfileInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateUserProfileInput, UpdateUserProfileOutput, Blob>;
    constructor(input: UpdateUserProfileInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<UpdateUserProfileInput, UpdateUserProfileOutput>;
}
