"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResourcesInput_1 = require("../shapes/ListResourcesInput");
var ListResourcesOutput_1 = require("../shapes/ListResourcesOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResourcesInput_1.ListResourcesInput
    },
    output: {
        shape: ListResourcesOutput_1.ListResourcesOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListResources.js.map