"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateUserProfileOutput = {
    type: "structure",
    required: ["userArn"],
    members: {
        userArn: {
            shape: {
                type: "string",
                min: 32
            }
        },
        displayName: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        emailAddress: {
            shape: {
                type: "string",
                sensitive: true,
                min: 3
            }
        },
        sshPublicKey: {
            shape: {
                type: "string"
            }
        },
        createdTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        lastModifiedTimestamp: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=CreateUserProfileOutput.js.map