import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListUserProfilesInput } from "../types/ListUserProfilesInput";
import { ListUserProfilesOutput } from "../types/ListUserProfilesOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/ListUserProfilesInput";
export * from "../types/ListUserProfilesOutput";
export * from "../types/ListUserProfilesExceptionsUnion";
export declare class ListUserProfilesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListUserProfilesInput, OutputTypesUnion, ListUserProfilesOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: ListUserProfilesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListUserProfilesInput, ListUserProfilesOutput, Blob>;
    constructor(input: ListUserProfilesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<ListUserProfilesInput, ListUserProfilesOutput>;
}
