"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UntagProject_1 = require("../model/operations/UntagProject");
var UntagProjectCommand = /** @class */ (function () {
    function UntagProjectCommand(input) {
        this.input = input;
        this.model = UntagProject_1.UntagProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UntagProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UntagProjectCommand;
}());
exports.UntagProjectCommand = UntagProjectCommand;
//# sourceMappingURL=UntagProjectCommand.js.map