"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeUserProfileInput_1 = require("../shapes/DescribeUserProfileInput");
var DescribeUserProfileOutput_1 = require("../shapes/DescribeUserProfileOutput");
var UserProfileNotFoundException_1 = require("../shapes/UserProfileNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeUserProfile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeUserProfile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeUserProfileInput_1.DescribeUserProfileInput
    },
    output: {
        shape: DescribeUserProfileOutput_1.DescribeUserProfileOutput
    },
    errors: [
        {
            shape: UserProfileNotFoundException_1.UserProfileNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DescribeUserProfile.js.map