"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTeamMembersInput_1 = require("../shapes/ListTeamMembersInput");
var ListTeamMembersOutput_1 = require("../shapes/ListTeamMembersOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTeamMembers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTeamMembers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTeamMembersInput_1.ListTeamMembersInput
    },
    output: {
        shape: ListTeamMembersOutput_1.ListTeamMembersOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListTeamMembers.js.map