"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateProjectInput_1 = require("../shapes/UpdateProjectInput");
var UpdateProjectOutput_1 = require("../shapes/UpdateProjectOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateProjectInput_1.UpdateProjectInput
    },
    output: {
        shape: UpdateProjectOutput_1.UpdateProjectOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=UpdateProject.js.map