"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateProjectOutput = {
    type: "structure",
    required: ["id", "arn"],
    members: {
        id: {
            shape: {
                type: "string",
                min: 2
            }
        },
        arn: {
            shape: {
                type: "string"
            }
        },
        clientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        projectTemplateId: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=CreateProjectOutput.js.map