"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ProjectStatus_1 = require("./_ProjectStatus");
exports.DescribeProjectOutput = {
    type: "structure",
    required: [],
    members: {
        name: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        id: {
            shape: {
                type: "string",
                min: 2
            }
        },
        arn: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        clientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        createdTimeStamp: {
            shape: {
                type: "timestamp"
            }
        },
        stackId: {
            shape: {
                type: "string"
            }
        },
        projectTemplateId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        status: {
            shape: _ProjectStatus_1._ProjectStatus
        }
    }
};
//# sourceMappingURL=DescribeProjectOutput.js.map